<?php


set_time_limit (3600 );


define('SF_ROOT_DIR', "/home/invergladi/public_html/gladis");
//define('SF_ROOT_DIR', "C://wamp/www/sinergia");
define('SF_APP',      'sys');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR."lib".DIRECTORY_SEPARATOR."functions".DIRECTORY_SEPARATOR."HelperHelper.php");
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_core_compile.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'cache'.DIRECTORY_SEPARATOR.'config_autoload.php');


////////////////////////////////////////////////////////////////////////////////////////
//clases incluidas del sistema



use_helper('UtilFunctions');

$con = Conexion::getConexion();
$a_param = Conexion::getParamDbByAlias($apps);

if (!mysql_select_db($a_param['db'], $con)) {
    echo 'Could not select database';
    exit;
}



$sql = "SELECT *
		FROM `cr_prestamo`
		WHERE 	`estado` = 'P' and eliminado = '0' and idprestamo='8659'
		";
	
$result = mysql_query($sql,$con);

$num_rows = mysql_num_rows($result);
    

if($num_rows > 0){

  while ($o_valor = mysql_fetch_object($result)) {
	
	$sql = "SELECT *
			FROM `cr_pago`
			WHERE 	`idprestamo` = '".$o_valor->IdPrestamo."' 
			order by FechaPago asc";
		
	$result_pag = mysql_query($sql,$con);
	
	$num_rows_pag = mysql_num_rows($result_pag);
	$semaforo = "verde";    
	$contadorPC = 0;
	$contadormensual = 0;
	echo $num_rows_pag."<br>";
	if($num_rows_pag > 0){
	  $v_anterior = 0;			
	  while ($o_valor_pag = mysql_fetch_object($result_pag)) {
			$PeriodicidadPago = $o_valor_pag->PeriodicidadPago;
	  		if($PeriodicidadPago == "S"){
				
			}
			/*if($PeriodicidadPago == "M"){
				$contadormensual++;
				if($contadormensual <= 30){
					continue;
				}else{
					$contadormensual = 0;
				}
			}*/
			
			$v_actual = $o_valor_pag->MontoPago;
			if($v_actual == '0'){
				if($v_actual == $v_anterior){
					$contadorPC++;
					$v_anterior = $o_valor_pag->MontoPago;
				}
			}else{
				if($contadorPC >= 4 && $contadorPC <= 7){
					if($semaforo == "verde")$semaforo = "amarillo";
				}elseif($contadorPC >= 8){
					if($semaforo == "verde" || $semaforo == "amarillo")$semaforo = "rojo";
				}
				$contadorPC = 0;
				$v_anterior = 0;
			}
			if($contadorPC >= 4 && $contadorPC <= 7){
				if($semaforo == "verde")$semaforo = "amarillo";
			}elseif($contadorPC >= 8){
				if($semaforo == "verde" || $semaforo == "amarillo")$semaforo = "rojo";
			}
			
	  }
	  if($semaforo == "verde" || $semaforo == "amarillo" ){
		  mysql_data_seek($result_pag,0);
		  $semaforo2 = "verde";
		  $v_anterior = "";
		  $cont=0;
		  while ($o_valor_pag = mysql_fetch_object($result_pag)) {
		   	//echo $i;
		   	$i++;
		   	$v_actual = $o_valor_pag->MontoPago;
		   	if($v_actual == 0){
		   		if($v_anterior != $v_actual){
		   			$cont++;	
		   			
		   		}
		   	}
		   	$v_anterior = $v_actual;
		  }
		  //echo "--------------------".$cont;
		  if($cont>=8 && $cont<=14){
		  	$semaforo2 = "amarillo";
		  }elseif($cont>=15){
		  	$semaforo2 = "rojo";
		  }
		  if($semaforo2 == "rojo") $semaforo = $semaforo2;
		  elseif($semaforo2 == "amarillo" && $semaforo == "verde") $semaforo = $semaforo2;
	  }
	  
	  
	}
	
	
			
	$sql = "UPDATE `cr_prestamo`
			SET semaforo = '".$semaforo."'
			WHERE `idprestamo` = '".$o_valor->IdPrestamo."' 
			";
	echo $sql;
		
	$result_up = mysql_query($sql,$con);
	
	echo $o_valor->IdPrestamo." semaforo:".$semaforo."<br>";
	
  }
}

exit;

